.main-form {
  display: flex;
  flex-direction: column;
  align-items: center;

  * {
    transition: all 0.5s;
  }

  &__body {
    margin: 0 auto 30px;
    width: 100%;
    padding-top: 70px;
    position: relative;
    display: flex;
    flex-direction: column;

    &--msg { 
      &-error {
        position: absolute;
        background-color: rgba(lighten($error-color, $amount: 30), 0.6);
        border: 2px solid $error-color;
        border-radius: 6px;
        color: $error-color;
        width: calc(50% - 35px);
        padding: 15px;
        top: 0px;
        left: 25%;
      }

      &-success {
        position: absolute;
        background-color: rgba(lighten($success-color, $amount: 30), 0.6);
        border: 2px solid $success-color;
        border-radius: 6px;
        color: $success-color;
        width: calc(50% - 35px);
        padding: 15px;
        top: 0px;
        left: 25%;
      }
    }

    .form-item {
      width: 50%;
      margin: 0 auto;
      position: relative;

      &__input {
        border: none;
        outline: none;
        width: calc(100% - 30px);
        padding: 15px;
        margin-bottom: 40px;
        border-radius: 6px;
        border-bottom: 2px solid lighten($secondary-color, $amount: 30);

        &:focus {
          box-shadow: 0px 0px 7px 0px $secondary-color;
        }

        &--invalid {
          background-color: rgba(255, 0, 0, 0.308);
          border-bottom: 2px solid $error-color;
          box-shadow: 0px 0px 4px 0px $error-color !important;

          &:hover, &:focus{
            border-bottom: 2px solid $error-color;
            background-color: rgb(255, 209, 209);
          }
        }
      }

      &--message {
        position: absolute;
        color: lighten($error-color, $amount: 10);
        top: 60px;
        width: fit-content;
        left: 0;
      }
    }

    .button {
      margin: 0 auto;
    }
  }
}

@media only screen and (max-width: 764px) {
  .main-form {
    &__body {
      &--msg {
        &-error,
        &-success {
          left: 5%;
          width: calc(90% - 35px);
        }
      }
      .form-item {
        width: 90%;
        height: 90px;
      }
      .button {
        width: 90%;
      }
    }
  }
}
